Jump to content

Recommended Posts

Posted

Hi, How do you place tangent lines on the curve so the lines (stairs) are at right angles. The curve is a spline i have tried lots of different ways including making it a poly line but the lines at tangents are the issue. Image belows shows the problem

 

thanks

 

autocad.jpg

Posted

Using the ARC command, after picking the third point of the first arc, hit enter or space-bar to go back into ARC, the following arc will be tangent to the first, hit enter again and keep picking arcs

Posted

You could try the Measure command using a block (stair tread).

or maybe this will help

;;  PLPERP.lsp starts a polyline perpendicular to any 2D curve at
;;    the point picked.
;;  Allows direct distance entry for first polyline segment, then
;;    restores previous ortho setting and snap angle (if any).

;;  by Bill Gilliss  bill dot gilliss at aya.yale.edu
;;  3/20/2008
;;  Comments and suggestions always welcome.

(defun c:plperp ( / e en obj param p1 p2 wp1 sa oldortho oldsnapang oldosmode olderror)

 (setq oldortho (getvar "orthomode") 
       oldsnapang (getvar "snapang")
       oldosmode (getvar "osmode")
       olderror *error*
       )
 (setq e (entsel "Select curve at point to start perpendicular (OSNAPS welcome):"))
 (setq en (car e) p1 (cadr e))            ;UCS point
 (setq p1 (osnap p1 "_nea"))
 (setq obj (vlax-ename->vla-object en))
 (setq param (vlax-curve-getParamAtPoint obj (trans p1 1 0)))  ;WCS point
 (setq fderiv (vlax-curve-getFirstDeriv obj param))
 (setq sa (+ (* pi 0.5) (angle (trans '(0.0 0.0 0.0) 0 1) (trans fderiv 0 1))))
 (setvar "snapang" sa)
 (setvar "orthomode" 1)
 (setq p2 (getpoint p1 "\nNext point:"))
 (setvar "orthomode" oldortho)
 (setvar "snapang" oldsnapang)
 (setvar "osmode" oldosmode)
 (setq *error* olderror)
 

 (command "pline" p1 p2)
);defun


(defun *error* (msg)
 (setvar "orthomode" oldortho)
 (setvar "snapang" oldsnapang)
 (setvar "osmode" oldosmode)
 (setq *error* olderror)
 ) 

(prompt "PLPERP loaded.")
(princ) 

Posted

Use tangential circles, not splines.

Posted

When attempting to draw a line perp to an arc or curved segment of a polyline, I often start my line at the "Center" of the arc segment, then end it where I need it and trim it later. That insures that the line is perpendicular to the arc.

Posted

is it possible to explain it a little bit simpler as I'm not great at cad and created what i have by trying. I was recommended to use the spline as it would create the best smooth curve the same as my hand drawings. sorry i should know how to do this but your help is greatly received. thanks

Posted

draw a vertical line the length of the stair tread (e.g. 4')

make a block out of the line using the bottom endpoint the base point. Call it TREAD

use the measure command as below

Command: measure

 

Select object to measure: select the spline

Specify length of segment or [block]: Block

 

Enter name of block to insert: TREAD

 

Align block with object? [Yes/No] : Y

 

Specify length of segment: 1 this will insert treads 1 unit apart along the spline

Posted

Thank you very much fixed it straight away

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...